//
//  MyDataView.h
//  ImageCalc
//
//  Created by Cameron Hayne on Tue May 21 2002.
//  Copyright (c) 2002 Hayne of Tintagel. All rights reserved.
//

#import <AppKit/AppKit.h>

@interface MyDataView : NSView
{
    IBOutlet id 	controller;
    
    int			leftOffset, rightOffset, topOffset, bottomOffset;
    NSBitmapImageRep 	*imageRep;
    int			imageBytesPerRow;
    int			dataVersion;
    int			numRedraws;
}

- (NSSize)preferredSize;
- (void)setSize:(NSSize)aSize;
- (int)dataVersion;
- (int)numRedraws;

@end
